Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class FeatureId

    java.lang.Object
      org.deegree.model.filterencoding.FeatureId

    public class FeatureId

extends Object

Encapsulates the information of a element as defined in the FeatureId DTD. The element is used to encode the unique identifier for any feature instance. Within a filter expression, the is used as a reference to a particular feature instance.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`FeatureId(String value)` Constructs a new FeatureId.

Method Summary
`static FeatureId` | `buildFromDOM(Element element)` Given a DOM-fragment, a corresponding Expression-object is built.
`static FeatureId` | `buildGMLIdFromDOM(Element element)` Given a DOM-fragment, a corresponding Expression-object is built.
`String` | `getValue()` Returns the feature id.
`void` | `setValue(String value)`
`StringBuffer` | `toXML()` Produces a XML representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureId

    public FeatureId(String value)

  Constructs a new FeatureId.

  Parameters:
    `value` -

Method Detail

### buildFromDOM

    public static FeatureId buildFromDOM(Element element)
                                  throws FilterConstructionException

  Given a DOM-fragment, a corresponding Expression-object is built. This method recursively calls other buildFromDOM () - methods to validate the structure of the DOM-fragment.

  Parameters:
    `element` -
  Returns:
    feature id
  Throws:
    `FilterConstructionException` - if the structure of the DOM-fragment is invalid

### buildGMLIdFromDOM

    public static FeatureId buildGMLIdFromDOM(Element element)
                                       throws FilterConstructionException

  Given a DOM-fragment, a corresponding Expression-object is built. This method recursively calls other buildFromDOM () - methods to validate the structure of the DOM-fragment.

  Parameters:
    `element` -
  Returns:
    feature id
  Throws:
    `FilterConstructionException` - if the structure of the DOM-fragment is invalid

### getValue

    public String getValue()

  Returns the feature id. A feature id is built from it's feature type name and it's id separated by a ".". e.g. Road.A565

  Returns:
    feature id value

### setValue

    public void setValue(String value)

  Parameters:
    `value` -
  See Also:
    `getValue()`

### toXML

    public StringBuffer toXML()

  Produces a XML representation of this object.

  Returns:
    xml representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org